package com.qmth.teachcloud.common.bean.dto;

import java.util.List;

/**
 * 课程、试卷编号
 */
public class CoursePaperNumberDto {

    private String code;
    private String name;
    private List<PaperNumberDto> paperNumberList;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<PaperNumberDto> getPaperNumberList() {
        return paperNumberList;
    }

    public void setPaperNumberList(List<PaperNumberDto> paperNumberList) {
        this.paperNumberList = paperNumberList;
    }

    public static class PaperNumberDto{
        private String coursePaperNumber;
        private String coursePaperId;
        private Boolean markFinished;

        public String getCoursePaperNumber() {
            return coursePaperNumber;
        }

        public void setCoursePaperNumber(String coursePaperNumber) {
            this.coursePaperNumber = coursePaperNumber;
        }

        public String getCoursePaperId() {
            return coursePaperId;
        }

        public void setCoursePaperId(String coursePaperId) {
            this.coursePaperId = coursePaperId;
        }

        public Boolean getMarkFinished() {
            return markFinished;
        }

        public void setMarkFinished(Boolean markFinished) {
            this.markFinished = markFinished;
        }
    }

}
